[问题]rpm的一个问题

为当前最终发行版之前的所有版本提供支持
回复
ley1982
帖子: 50
注册时间: 2008-06-27 14:43
送出感谢: 0
接收感谢: 0

[问题]rpm的一个问题

#1

帖子 ley1982 » 2008-07-08 21:02

lienyu@lienyu:~$ rpm -qa|grep gunzip
rpm: To install rpm packages on Debian systems, use alien. See README.Debian.
error: cannot open Packages index using db3 - No such file or directory (2)
error: 无法打开包数据库 /var/lib/rpm
lienyu@lienyu:~$
怎么处理呢?
头像
chattan
论坛版主
帖子: 3922
注册时间: 2007-07-11 20:59
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 chattan » 2008-07-08 21:10

DEB呢?
ley1982
帖子: 50
注册时间: 2008-06-27 14:43
送出感谢: 0
接收感谢: 0

#3

帖子 ley1982 » 2008-07-08 21:32

是要安装deb吗?怎么安装呢?
stahine
帖子: 88
注册时间: 2007-06-12 16:17
送出感谢: 0
接收感谢: 0

#4

帖子 stahine » 2008-07-09 1:59

兄弟,你用的是ubunru啊。
tandkzy
帖子: 512
注册时间: 2006-02-12 19:29
送出感谢: 1 次
接收感谢: 0

#5

帖子 tandkzy » 2008-07-09 8:25

已经提示你了。你就用alien rpm包,把你的rpm转成deb包,然后再dpkg -i deb包。但是这样并不保证你的程序可以运行。毕竟是二进制文件,rpm包一般为红帽系统编译,不一定可以兼容debin
ley1982
帖子: 50
注册时间: 2008-06-27 14:43
送出感谢: 0
接收感谢: 0

#6

帖子 ley1982 » 2008-07-09 18:47

我用mkinitrd生成了initrd.gz文件,不过我用gunzip initrd.gz解压缩的时候出现以下错误
lienyu@lienyu:/tmp$ sudo gunzip initrd.gz

gunzip: initrd.gz: not in gzip format
这个怎么办呢?
回复

回到 “老旧版本支持”